Bug 1551 - rootstrap .tgz downloads are uncompressed on the fly..
: rootstrap .tgz downloads are uncompressed on the fly..
Status: CLOSED FIXED
Product: maemo.org Website
Downloads
: unspecified
: All Linux
: Low normal (vote)
: ---
Assigned To: Ferenc Szekely
:
:
:
:
:
  Show dependency tree
 
Reported: 2007-06-17 14:22 UTC by Kees Jongenburger
Modified: 2007-12-04 12:59 UTC (History)
0 users (show)

See Also:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description Kees Jongenburger (reporter) 2007-06-17 14:22:35 UTC
When I try to download tar.gz files located at 
                  
http://tablets-dev.nokia.com/bora/i386/maemo-sdk-rootstrap_3.1_i386.tgz
http://tablets-dev.nokia.com/bora/armel/maemo-sdk-rootstrap_3.1_armel.tgz
http://tablets-dev.nokia.com/gregale/i386/Maemo_Dev_Platform_v2.2_i386-rootstrap.tgz
http://tablets-dev.nokia.com/gregale/armel/Maemo_Dev_Platform_v2.2_armel-rootstrap.tgz

the downloaded files are not in tar.gz format but in tar format
for example the file 
Maemo_Dev_Platform_v2.2_armel-rootstrap.tgz 22-Dec-2006 14:29   is 107M  
on the website but 311M when downloaded

I suspect that the webserver is doing something wrong (see http header) the
content is stated to be gzip encoded :p

I guess that this bug will make the installer script fail because of wrong
checksums.


keesj@keesj-desktop:~/cosy-home/tools/install/files$ file *
Maemo_Dev_Platform_v2.2_armel-rootstrap.tgz: POSIX tar archive (GNU)
Maemo_Dev_Platform_v2.2_i386-rootstrap.tgz:  POSIX tar archive (GNU)
maemo-sdk-rootstrap_3.1_armel.tgz:           POSIX tar archive (GNU)
maemo-sdk-rootstrap_3.1_i386.tgz:            POSIX tar archive (GNU)


HTTP/1.0 200 OK
Server: Apache/1.3.33 (Debian GNU/Linux) PHP/4.3.10-18 mod_perl/1.29
Last-Modified: Thu, 29 Mar 2007 14:15:54 GMT
ETag: "7fdb8-327486b-460bca1a"
Accept-Ranges: bytes
Content-Length: 52906091
Content-Type: application/x-tar
Content-Encoding: gzip
Expires: Sun, 17 Jun 2007 11:13:39 GMT
Cache-Control: max-age=0, no-cache, no-store
Pragma: no-cache
Date: Sun, 17 Jun 2007 11:13:39 GMT
Connection: close
Vary: Accept-Encoding
Comment 1 Ferenc Szekely maemo.org 2007-07-10 10:41:01 UTC
on the fly uncompression was enabled on the server, as you suggested. i just
disabled it and verified the downloads. they are OK now, the files remain
gzipped compressed tar archives after download.

note! 
the new bora release does not have rootstraps, so if you want to get those
rootstraps __only__ use these URLs instead:
 http://tablets-dev.nokia.com/3.1/armel/maemo-sdk-rootstrap_3.1_armel.tgz
 http://tablets-dev.nokia.com/3.1/i386/maemo-sdk-rootstrap_3.1_i386.tgz
Comment 2 Jake Kunnari 2007-12-04 12:59:10 UTC
Closing FIXED bugs. if error/problem still occurs, please reopen bug with
comments.